/* 
Theme Name: Webdesign René Veugen
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: René Veugen
Author URI: https://reneveugen.nl
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

html { scroll-behavior: smooth !important; } 
html.lenis-scrolling { scroll-behavior: auto !important; }

.newsletter-btn i.fas.fa-envelope-open-text {
    color: #2e2e3d;
}

.elementor-nav-menu {
    margin-block-end: 0px !important;
}

ul.jet-price-list {
    padding-inline-start: 0px !important;
}

.makers-accordion .jet-accordion__item.jet-toggle.jet-toggle-move-up-effect {
    margin-bottom: 10px;
}

.makers-accordion .jet-toggle__content-inner {
    padding: 0 15px 15px 15px;
}

.jet-form-builder-file-upload__message, 
.jet-form-builder-file-upload__content,
.page-id-4240 .jet-form-builder-message.jet-form-builder-message--success  {
    display: none !important;
}

p.checkbox-docs {
    display: block;
    font-size: 13px;
    line-height: 20px;
}

.newsletter-btn span.elementor-button-text {
    color: #2e2e3d;
}

.newsletter-btn.btn-green span.elementor-button-text {
    color: #c4f2a4;
}

.right-left {
    overflow-x: hidden !important;
}

.btn-center {
    text-align: center !important;
}

.btn-pink .read-more-link {
    color: var(--e-global-color-2b0bdbe) !important;
}

.btn-green .read-more-link {
    color: var( --e-global-color-afab042 ) !important;    
}

.btn-yellow .read-more-link {
    color: var( --e-global-color-30c0b76 ) !important;
}

.btn-blue .read-more-link {
    color: var( --e-global-color-cc77c7a ) !important;
}

.read-more-link {
    position: relative;
    display: inline-block;
    text-decoration: none;
    color: #2E2E3D;
    border-bottom: 2px solid currentColor;
    transition: transform 0.5s ease, padding-left 0.5s ease, border-color 0.5s ease;
    font-family: "Supreme", Sans-serif;
    font-size: 22px;
    font-weight: 900;
    text-transform: lowercase;
    line-height: 30px;
}

.read-more-link .elementor-button-icon {
    position: absolute;
    left: -20px;
    opacity: 0;
    transition: opacity 0.5s ease, left 0.5s ease;
    display: inline-flex;
    align-items: center;
    top: 50%;
    transform: translateY(-50%);
}

.read-more-link:hover {
    transform: translateX(5px);
    padding-left: 25px;
    border-bottom: 2px solid currentColor; /* Underline effect on hover */
}

.read-more-link:hover .elementor-button-icon {
    left: 0;
    opacity: 1;
}

.read-more-link svg {
    font-size: 16px;
    fill: currentColor;
}

.elementor-page-143 .lottie-title {
    font-size: var(--e-global-typography-d127f31-font-size) !important;
    line-height: var(--e-global-typography-d127f31-line-height) !important;
    letter-spacing: var(--e-global-typography-d127f31-letter-spacing) !important;
}

.lottie-title lottie-player {
    margin: -60px -10px -50px -10px;
    display: inline-block;
    vertical-align: middle;
    width: 160px;
    height: 160px;
    position: relative;
    z-index: -1;
}

lottie-player.sticker-machine {
    width: 90px;
    height: 90px;
    margin: -15px 20px 0px 20px;
}

.readmore-btn .elementor-button {
    border: none !important;
    border-style: none !important;
}

.elementor-sticky--effects {
    width: 100% !important;
}

.elementor-nav-menu .sub-arrow {
    padding: 0 0 0 5px !important;
}

.elementor-nav-menu .sub-arrow:first-child {
    display: none;
}

.mobile-menu .elementor-widget-container a {
    text-decoration: none !important;
}

.menu-container {
    display: none; /* Menu is hidden by default */
    position: absolute; /* This depends on your layout needs */
    right: 0;
    padding: 20px;
    border-radius: 20px;
}

.menu-container.open {
    display: block; /* Show the menu when 'open' class is added */
}

.elementor-element.elementor-element-aa97215.elementor-hidden-mobile.menu-toggle.elementor-widget.elementor-widget-button {
    cursor: pointer;
}

.elementor-nav-menu--dropdown a, .elementor-nav-menu--dropdown a:hover {
    line-height: 24px;
}

.elementor-nav-menu--main .elementor-nav-menu ul a {
    text-underline-offset: 2px;
}

.menu-container .elementor-widget-container a:hover,
.elementor-nav-menu--main .elementor-nav-menu ul a:hover {
    text-decoration: underline !important;
    text-underline-offset: 2px;
}

.menu-container .elementor-widget-container p a {
    text-decoration: none !important;
}

.elementor-nav-menu--main .elementor-nav-menu ul {
    padding: 10px 0px;
}

li.menu-item.current-menu-item .elementor-item-active,
.page-id-564 .menu-item-500 .has-submenu,
.page-id-676 .menu-item-500 .has-submenu,
.page-id-681 .menu-item-500 .has-submenu,
.page-id-686 .menu-item-500 .has-submenu,
.page-id-715 .menu-item-506 .has-submenu,
.page-id-1024 .menu-item-506 .has-submenu {
    text-underline-offset: 2px;
    text-decoration: underline !important;
}

.elementor-location-header .elementor-button,
.email-btn .elementor-button {
    fill: #2e2e3d;
}

.readmore-btn .elementor-button-icon .e-font-icon-svg {
    height: 1em;
    font-size: 18px;
    margin-bottom: -2px;
}

p:last-child {
    margin-bottom: 0;
}

.elementor-widget-container p a {
    text-decoration: underline !important;
}

.elementor-kit-9 a {
    text-underline-offset: 6px;
}

.readmore-btn a.elementor-button.elementor-button-link.elementor-size-sm {
    background: none;
    box-shadow: none;
    padding: 0px;
    text-transform: lowercase;
    letter-spacing: 0 !important;
    text-decoration: underline;
}

a.elementor-button.elementor-button-link.elementor-size-sm .elementor-button-icon {
    transition: linear 0.2s !important;
}

a.elementor-button.elementor-button-link.elementor-size-sm:hover .elementor-button-icon {
    transform: translateX(2px) !important;
    transition: linear 0.2s !important;
}

.arrow-down a.elementor-button.elementor-button-link.elementor-size-sm:hover .elementor-button-icon {
    transform: translateY(2px) !important;
    transition: linear 0.2s !important;
}

.accordeon-wrv details {
    border-bottom: 1px solid hsl(240deg 14% 21% / 20%);
}

.accordeon-wrv .e-n-accordion-item-title-text,
.accordeon-wrv .e-n-accordion-item-title-icon {
    padding-bottom: 15px;
}

.accordeon-wrv .elementor-element.e-flex.e-con.e-child {
    padding-bottom: 16px;
}

.elementor-kit-9 footer a {
    text-underline-offset: 2px;
}

.home .jet-hor-timeline-item__point-content,
.page-id-715 .jet-hor-timeline-item__point-content {
    margin: 0 auto;
}

.jet-hor-timeline-track {
    padding-bottom: 0px !important;
}

.howitworks .jet-timeline-item:nth-child(1) .timeline-item__card,
.howitworks .jet-timeline-item:nth-child(1) .timeline-item__point-content {
    background-color: #C4F2A4 !important;
}

.jet-hor-timeline-item:nth-child(3) .jet-hor-timeline-item__point-content,
.howitworks .jet-timeline-item:nth-child(2) .timeline-item__card,
.howitworks .jet-timeline-item:nth-child(2) .timeline-item__point-content {
    background-color: #FCDE83 !important;
}

.jet-hor-timeline-item:nth-child(4) .jet-hor-timeline-item__point-content,
.howitworks .jet-timeline-item:nth-child(3) .timeline-item__card,
.howitworks .jet-timeline-item:nth-child(3) .timeline-item__point-content {
    background-color: #FFD6DB !important;
}

.jet-hor-timeline-item:nth-child(5) .jet-hor-timeline-item__point-content,
.howitworks .jet-timeline-item:nth-child(4) .timeline-item__card,
.howitworks .jet-timeline-item:nth-child(4) .timeline-item__point-content {
    background-color: #D5EFFF !important;
}

.howitworks .jet-timeline-item:nth-child(1) h3.timeline-item__card-title,
.howitworks .jet-timeline-item:nth-child(1) .timeline-item__card-desc,
.howitworks .jet-timeline-item:nth-child(1) .timeline-item__point-content {
    color: #122B08 !important;
}

.howitworks .jet-timeline-item:nth-child(2) h3.timeline-item__card-title,
.howitworks .jet-timeline-item:nth-child(2) .timeline-item__card-desc,
.howitworks .jet-timeline-item:nth-child(2) .timeline-item__point-content {
    color: #451703 !important;
}

.howitworks .jet-timeline-item:nth-child(3) h3.timeline-item__card-title,
.howitworks .jet-timeline-item:nth-child(3) .timeline-item__card-desc,
.howitworks .jet-timeline-item:nth-child(3) .timeline-item__point-content {
    color: #530014 !important;
}

.howitworks .jet-timeline-item:nth-child(4) h3.timeline-item__card-title,
.howitworks .jet-timeline-item:nth-child(4) .timeline-item__card-desc,
.howitworks .jet-timeline-item:nth-child(4) .timeline-item__point-content {
    color: #0A215C !important;
}

.howitworks .jet-timeline-item h3.timeline-item__card-title {
    margin: 0 0 5px 0;
}

.howitworks .timeline-item__point {
    margin-top: 32px;
}

.jet-timeline--align-center .timeline-item__card-content>.timeline-item__meta {
    display: none !important;
}

.single-whats-on .elementor-button {
    fill: #2e2e3d;
}

.events-list h2 {
    margin: 0px !important;
}

.sticker-footer .elementor-widget-lottie {
    margin: 0 auto;
    left: inherit !important;
}

a#emailButton {
    font-family: "Supreme", Sans-serif;
    font-size: 20px;
    font-weight: 800;
    text-transform: lowercase;
    line-height: 20px;
    background-color: var(--e-global-color-86caece);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0);
}

a#emailButton.enquire-btn {
    font-family: "Supreme", Sans-serif;
    font-size: 20px;
    font-weight: 800;
    text-transform: lowercase;
    line-height: 20px;
    fill: var( --e-global-color-b4d10b0 );
    color: var( --e-global-color-b4d10b0 );
    background-color: var( --e-global-color-afab042 );
    border-radius: 0px 20px 20px 0px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0);
}

a#emailButton .elementor-button-content-wrapper {
    gap: 10px;
}

.jet-popup.jet-popup--front-mode .jet-popup__close-button {
    top: 40px;
    right: 40px;
}

.opacity-zero {
    opacity: 0;
    top: 50% !important;
    transform: translateY(-50%);
}

.jet-popup ul {
    margin-block-end: .9rem;
}

footer strong {
    text-transform: uppercase;
}

footer a {
    color: var(--e-global-color-primary) !important;
    font-family: var(--e-global-typography-c670f63-font-family), Sans-serif;
    font-size: var(--e-global-typography-c670f63-font-size);
    font-weight: var(--e-global-typography-c670f63-font-weight);
    line-height: var(--e-global-typography-c670f63-line-height) !important;
}

footer .cta-footer a {
    font-weight: 800 !important;
    color: #FCDE83 !important;
}

footer .copyrights a {
    color: var(--e-global-color-accent) !important;
    font-family: var(--e-global-typography-1eed301-font-family), Sans-serif;
    font-size: var(--e-global-typography-1eed301-font-size);
    line-height: var(--e-global-typography-1eed301-line-height);
}

footer .elementor-element.elementor-element-1e3ac8a img {
    opacity: 0.2 !important;
    filter: mix-blend-mode: soft-light;
}

.h2-h3-style h2 {
    font-size: 30px;
}

.elementor-widget-container ul {
    margin-block-end: .9rem;
}

@media screen and (min-width: 1024px) {
details#popup-h1 p.e-n-accordion-item-title-text {
    font-size: 38px;
}

.ourstory .jet-timeline-item:nth-child(even) img {
    border-radius: 200px 0 0 200px !important;
}
}

@media screen and (min-width: 1304px) {
details#popup-h1 p.e-n-accordion-item-title-text {
    font-size: 44px;
}
}

@media screen and (max-width: 1366px) {
    a#emailButton,
    a#emailButton.enquire-btn {
    font-size: 18px;
    line-height: 18px;
}
}

@media screen and (max-width: 1200px) {
    a#emailButton,
    a#emailButton.enquire-btn {
    font-size: 16px;
    line-height: 16px;
}

.read-more-link {
    font-size: 20px;
    line-height: 26px;
}

.lottie-title lottie-player {
    width: 130px;
    height: 130px;
}

lottie-player.sticker-machine {
    width: 70px;
    height: 70px;
    margin: -10px 15px 0px 15px;
}

.page-id-4240 .wp-block-group.is-nowrap.is-layout-flex.wp-block-group-is-layout-flex {
    flex-wrap: wrap !important;
}
}

@media screen and (max-width: 1024px) {
.read-more-link {
    font-size: 18px;
    line-height: 24px;
}

details#popup-h1 p.e-n-accordion-item-title-text {
    font-size: 28px;
}

.ourstory .jet-timeline__line {
    margin-left: 0px !important;
}

.jet-popup.jet-popup--front-mode .jet-popup__close-button {
    right: 20px;
}
}

@media screen and (max-width: 880px) {
.btn-pink,
.btn-green,
.btn-yellow,
.btn-blue {
    text-align: center !important;
}

.lottie-title lottie-player {
    width: 90px;
    height: 90px;
}

lottie-player.sticker-machine {
    width: 50px;
    height: 50px;
    margin: -10px 10px 0px 10px;
}
}


@media screen and (max-width: 767px) {
.lottie-title lottie-player {
    width: 70px !important;
    height: 70px !important;
}

lottie-player.sticker-machine {
    width: 50px !important;
    height: 50px !important;
    margin: -10px 10px 0px 10px;
}

.fixed-blocks .e-con.e-flex>.e-con-inner {
    flex-wrap: inherit !important;
}

.elementor-element.elementor-position-left.elementor-vertical-align-middle.elementor-mobile-position-left.login-menu {
    height: 28px;
}

footer .cta-footer a {
    line-height: 1.8 !important;
}
}

@media screen and (max-width: 560px) {
.login-menu .elementor-icon-box-content {
    display: none;
}
}